Bug 1114816 - CVE-2014-3499 docker-io: docker: systemd socket activation results in privilege escalation [epel-7]
Summary: CVE-2014-3499 docker-io: docker: systemd socket activation results in privile...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: epel7
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=falonsoe
Keywords: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2014-3499
TreeView+ depends on / blocked
 
Reported: 2014-07-01 05:40 UTC by Trevor Jay
Modified: 2014-08-15 15:52 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 15:52:13 UTC


Attachments (Terms of Use)

Description Trevor Jay 2014-07-01 05:40:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-7 tracking bug for docker-io: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Trevor Jay 2014-07-01 05:41:00 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1111687,1114816

Comment 2 Trevor Jay 2014-07-01 05:43:26 UTC
docker-io is already in Fed 20. Recommended fix is to simply pull from EPEL.

Comment 3 Lokesh Mandvekar 2014-07-01 06:40:57 UTC
The epel7 build has been removed since docker is available in RHEL 7 extras. Perhaps we need to make more noise to make people aware in case they're still using the epel7 build(?)

Closing this...

Comment 4 Michael S. 2014-07-21 13:30:31 UTC
The epel 7 build is still here, so this bug cannot be "closed".
People who use docker from epel currently open a way to get root to any user, so I reopen this bug until this is fixed.

Comment 5 Matthew Miller 2014-07-21 13:48:57 UTC
I'm not sure what the right answer is... maybe update the EPEL package with a stub with a readme telling people where to get the RHEL7 extras? (Including, I assume, the CentOS equivalent?)

Comment 6 Jon Stanley 2014-07-21 18:00:32 UTC
1) I assume that there's a CentOS equivalent (or they just pull it into the main repo instead of shoving it in a different repo like RHEL does for supportability reasons...)

2) I'm not 100% sure what the "right way" to remove a package from EPEL that has been subsumed into RHEL proper is. Obviously the standard package retirement, but since the RHEL package in question here is:
  
 a) in a different repo that is disabled by default, and
 b) of a different name entirely

presents something of an issue since the RHEL package is not going to be NEVRA newer than the EPEL package, nor does the RHEL package provide what the EPEL package does:

$ rpm -q --provides docker 
docker
docker = 0.11.1-22.el7
docker(x86-64) = 0.11.1-22.el7
lxc-docker = 0.11.1

I think that we might need to get the RHEL maintainers to provide docker-io in the docker package in order to facilitate the upgrade path from the EPEL to the RHEL version, though the version that is in EPEL right now is newer than the RHEL version that's out right now anyhow.

Is the EPEL package wishing to continue to be updated? If so, the same fix that went into the RHEL package (which is simply disabling socket activation, there's some other systemd work that needs to happen in order to get it back) needs to go into the EPEL version.

Comment 7 Trevor Jay 2014-07-22 11:39:40 UTC
Given the support level of docker in RHEL, I don't see why the EPEL version would/should be maintained.

(In reply to Jon Stanley from comment #6)
> Is the EPEL package wishing to continue to be updated? If so, the same fix
> that went into the RHEL package (which is simply disabling socket
> activation, there's some other systemd work that needs to happen in order to
> get it back) needs to go into the EPEL version.

Comment 8 Daniel Walsh 2014-07-22 17:40:04 UTC
Docker should be removed from EPEL7.

Comment 9 Lokesh Mandvekar 2014-08-15 15:52:13 UTC
docker-io build has been removed from epel7 https://dl.fedoraproject.org/pub/epel/beta/7/x86_64/ (nothing in there)

epel7 branch has the install steps for default docker package https://pkgs.fedoraproject.org/cgit/docker-io.git/tree/dead.package?h=epel7


Note You need to log in before you can comment on or make changes to this bug.